diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/lr-wpan/bindings/modulegen__gcc_LP64.py ns-3.35/src/lr-wpan/bindings/modulegen__gcc_LP64.py
--- ns-3.34/src/lr-wpan/bindings/modulegen__gcc_LP64.py	2021-07-14 10:31:06.000000000 -0700
+++ ns-3.35/src/lr-wpan/bindings/modulegen__gcc_LP64.py	2021-10-01 13:26:47.000000000 -0700
@@ -1880,11 +1880,6 @@
                    'bool', 
                    [], 
                    is_const=True)
-    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsEqual(ns3::Ipv4Address const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv4Address const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsInitialized() const [member function]
     cls.add_method('IsInitialized', 
                    'bool', 
@@ -1989,11 +1984,6 @@
                    'ns3::Ipv4Mask', 
                    [], 
                    is_static=True)
-    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsEqual(ns3::Ipv4Mask other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv4Mask', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsMatch(ns3::Ipv4Address a, ns3::Ipv4Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
@@ -2110,11 +2100,6 @@
                    'bool', 
                    [], 
                    is_const=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsEqual(ns3::Ipv6Address const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv6Address const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsInitialized() const [member function]
     cls.add_method('IsInitialized', 
                    'bool', 
@@ -2307,11 +2292,6 @@
                    'ns3::Ipv6Prefix', 
                    [], 
                    is_static=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsEqual(ns3::Ipv6Prefix const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv6Prefix const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsMatch(ns3::Ipv6Address a, ns3::Ipv6Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/lr-wpan/test/lr-wpan-packet-test.cc ns-3.35/src/lr-wpan/test/lr-wpan-packet-test.cc
--- ns-3.34/src/lr-wpan/test/lr-wpan-packet-test.cc	2021-07-14 10:31:06.000000000 -0700
+++ ns-3.35/src/lr-wpan/test/lr-wpan-packet-test.cc	2021-10-01 13:26:47.000000000 -0700
@@ -24,6 +24,7 @@
 #include <ns3/mac16-address.h>
 #include <ns3/mac64-address.h>
 #include <ns3/log.h>
+#include <vector>
 
 
 using namespace ns3;
@@ -84,9 +85,9 @@
 
   // Test serialization and deserialization
   uint32_t size = p->GetSerializedSize ();
-  uint8_t buffer[size];
-  p->Serialize (buffer, size);
-  Ptr<Packet> p2 = Create<Packet> (buffer, size, true);
+  std::vector<uint8_t> buffer (size);
+  p->Serialize (buffer.data (), size);
+  Ptr<Packet> p2 = Create<Packet> (buffer.data (), size, true);
 
 
   p2->Print (std::cout);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/lte/bindings/modulegen__gcc_ILP32.py ns-3.35/src/lte/bindings/modulegen__gcc_ILP32.py
--- ns-3.34/src/lte/bindings/modulegen__gcc_ILP32.py	2021-07-14 10:31:06.000000000 -0700
+++ ns-3.35/src/lte/bindings/modulegen__gcc_ILP32.py	2021-10-01 13:26:47.000000000 -0700
@@ -1915,7 +1915,7 @@
     module.add_container('std::list< ns3::Ptr< ns3::Packet > >', 'ns3::Ptr< ns3::Packet >', container_type='list')
     module.add_container('std::vector< ns3::Ipv6Address >', 'ns3::Ipv6Address', container_type='vector')
     module.add_container('std::vector< double >', 'double', container_type='vector')
-    module.add_container('ns3::Bands', 'ns3::BandInfo', container_type='vector')
+    module.add_container('std::vector< ns3::BandInfo >', 'ns3::BandInfo', container_type='vector')
     module.add_container('std::map< unsigned char, ns3::ComponentCarrier >', ('unsigned char', 'ns3::ComponentCarrier'), container_type='map')
     module.add_container('std::list< ns3::GtpcModifyBearerRequestMessage::BearerContextToBeModified >', 'ns3::GtpcModifyBearerRequestMessage::BearerContextToBeModified', container_type='list')
     module.add_container('std::map< unsigned int, unsigned int >', ('unsigned int', 'unsigned int'), container_type='map')
@@ -5850,11 +5850,6 @@
                    'bool', 
                    [], 
                    is_const=True)
-    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsEqual(ns3::Ipv4Address const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv4Address const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsInitialized() const [member function]
     cls.add_method('IsInitialized', 
                    'bool', 
@@ -5952,6 +5947,11 @@
     cls.add_constructor([param('ns3::Ipv4Address', 'local'), param('ns3::Ipv4Mask', 'mask')])
     ## ipv4-interface-address.h (module 'internet'): ns3::Ipv4InterfaceAddress::Ipv4InterfaceAddress(ns3::Ipv4InterfaceAddress const & o) [constructor]
     cls.add_constructor([param('ns3::Ipv4InterfaceAddress const &', 'o')])
+    ## ipv4-interface-address.h (module 'internet'): ns3::Ipv4Address ns3::Ipv4InterfaceAddress::GetAddress() const [member function]
+    cls.add_method('GetAddress', 
+                   'ns3::Ipv4Address', 
+                   [], 
+                   is_const=True)
     ## ipv4-interface-address.h (module 'internet'): ns3::Ipv4Address ns3::Ipv4InterfaceAddress::GetBroadcast() const [member function]
     cls.add_method('GetBroadcast', 
                    'ns3::Ipv4Address', 
@@ -5972,11 +5972,20 @@
                    'ns3::Ipv4InterfaceAddress::InterfaceAddressScope_e', 
                    [], 
                    is_const=True)
+    ## ipv4-interface-address.h (module 'internet'): bool ns3::Ipv4InterfaceAddress::IsInSameSubnet(ns3::Ipv4Address const b) const [member function]
+    cls.add_method('IsInSameSubnet', 
+                   'bool', 
+                   [param('ns3::Ipv4Address const', 'b')], 
+                   is_const=True)
     ## ipv4-interface-address.h (module 'internet'): bool ns3::Ipv4InterfaceAddress::IsSecondary() const [member function]
     cls.add_method('IsSecondary', 
                    'bool', 
                    [], 
                    is_const=True)
+    ## ipv4-interface-address.h (module 'internet'): void ns3::Ipv4InterfaceAddress::SetAddress(ns3::Ipv4Address address) [member function]
+    cls.add_method('SetAddress', 
+                   'void', 
+                   [param('ns3::Ipv4Address', 'address')])
     ## ipv4-interface-address.h (module 'internet'): void ns3::Ipv4InterfaceAddress::SetBroadcast(ns3::Ipv4Address broadcast) [member function]
     cls.add_method('SetBroadcast', 
                    'void', 
@@ -6097,11 +6106,6 @@
                    'ns3::Ipv4Mask', 
                    [], 
                    is_static=True)
-    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsEqual(ns3::Ipv4Mask other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv4Mask', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsMatch(ns3::Ipv4Address a, ns3::Ipv4Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
@@ -6218,11 +6222,6 @@
                    'bool', 
                    [], 
                    is_const=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsEqual(ns3::Ipv6Address const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv6Address const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsInitialized() const [member function]
     cls.add_method('IsInitialized', 
                    'bool', 
@@ -6603,11 +6602,6 @@
                    'ns3::Ipv6Prefix', 
                    [], 
                    is_static=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsEqual(ns3::Ipv6Prefix const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv6Prefix const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsMatch(ns3::Ipv6Address a, ns3::Ipv6Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
@@ -11070,6 +11064,11 @@
                    'double', 
                    [], 
                    is_const=True)
+    ## vector.h (module 'core'): double ns3::Vector2D::GetLengthSquared() const [member function]
+    cls.add_method('GetLengthSquared', 
+                   'double', 
+                   [], 
+                   is_const=True)
     ## vector.h (module 'core'): ns3::Vector2D::x [variable]
     cls.add_instance_attribute('x', 'double', is_const=False)
     ## vector.h (module 'core'): ns3::Vector2D::y [variable]
@@ -11097,6 +11096,11 @@
                    'double', 
                    [], 
                    is_const=True)
+    ## vector.h (module 'core'): double ns3::Vector3D::GetLengthSquared() const [member function]
+    cls.add_method('GetLengthSquared', 
+                   'double', 
+                   [], 
+                   is_const=True)
     ## vector.h (module 'core'): ns3::Vector3D::x [variable]
     cls.add_instance_attribute('x', 'double', is_const=False)
     ## vector.h (module 'core'): ns3::Vector3D::y [variable]
@@ -13606,10 +13610,10 @@
     cls.add_binary_comparison_operator('==')
     ## spectrum-model.h (module 'spectrum'): ns3::SpectrumModel::SpectrumModel(ns3::SpectrumModel const & arg0) [constructor]
     cls.add_constructor([param('ns3::SpectrumModel const &', 'arg0')])
-    ## spectrum-model.h (module 'spectrum'): ns3::SpectrumModel::SpectrumModel(std::vector<double, std::allocator<double> > centerFreqs) [constructor]
-    cls.add_constructor([param('std::vector< double >', 'centerFreqs')])
-    ## spectrum-model.h (module 'spectrum'): ns3::SpectrumModel::SpectrumModel(ns3::Bands bands) [constructor]
-    cls.add_constructor([param('ns3::Bands', 'bands')])
+    ## spectrum-model.h (module 'spectrum'): ns3::SpectrumModel::SpectrumModel(std::vector<double, std::allocator<double> > const & centerFreqs) [constructor]
+    cls.add_constructor([param('std::vector< double > const &', 'centerFreqs')])
+    ## spectrum-model.h (module 'spectrum'): ns3::SpectrumModel::SpectrumModel(ns3::Bands const & bands) [constructor]
+    cls.add_constructor([param('ns3::Bands const &', 'bands')])
     ## spectrum-model.h (module 'spectrum'): std::vector<ns3::BandInfo, std::allocator<ns3::BandInfo> >::const_iterator ns3::SpectrumModel::Begin() const [member function]
     cls.add_method('Begin', 
                    'std::vector< ns3::BandInfo > const_iterator', 
@@ -21829,6 +21833,11 @@
                    'ns3::Vector', 
                    [], 
                    is_const=True)
+    ## mobility-model.h (module 'mobility'): ns3::Vector ns3::MobilityModel::GetPositionWithReference(ns3::Vector const & referencePosition) const [member function]
+    cls.add_method('GetPositionWithReference', 
+                   'ns3::Vector', 
+                   [param('ns3::Vector const &', 'referencePosition')], 
+                   is_const=True)
     ## mobility-model.h (module 'mobility'): double ns3::MobilityModel::GetRelativeSpeed(ns3::Ptr<const ns3::MobilityModel> other) const [member function]
     cls.add_method('GetRelativeSpeed', 
                    'double', 
@@ -21863,6 +21872,11 @@
                    'ns3::Vector', 
                    [], 
                    is_const=True, is_pure_virtual=True, is_virtual=True, visibility='private')
+    ## mobility-model.h (module 'mobility'): ns3::Vector ns3::MobilityModel::DoGetPositionWithReference(ns3::Vector const & referencePosition) const [member function]
+    cls.add_method('DoGetPositionWithReference', 
+                   'ns3::Vector', 
+                   [param('ns3::Vector const &', 'referencePosition')], 
+                   is_const=True, is_virtual=True, visibility='private')
     ## mobility-model.h (module 'mobility'): ns3::Vector ns3::MobilityModel::DoGetVelocity() const [member function]
     cls.add_method('DoGetVelocity', 
                    'ns3::Vector', 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/lte/bindings/modulegen__gcc_LP64.py ns-3.35/src/lte/bindings/modulegen__gcc_LP64.py
--- ns-3.34/src/lte/bindings/modulegen__gcc_LP64.py	2021-07-14 10:31:06.000000000 -0700
+++ ns-3.35/src/lte/bindings/modulegen__gcc_LP64.py	2021-10-01 13:26:47.000000000 -0700
@@ -1915,7 +1915,7 @@
     module.add_container('std::list< ns3::Ptr< ns3::Packet > >', 'ns3::Ptr< ns3::Packet >', container_type='list')
     module.add_container('std::vector< ns3::Ipv6Address >', 'ns3::Ipv6Address', container_type='vector')
     module.add_container('std::vector< double >', 'double', container_type='vector')
-    module.add_container('ns3::Bands', 'ns3::BandInfo', container_type='vector')
+    module.add_container('std::vector< ns3::BandInfo >', 'ns3::BandInfo', container_type='vector')
     module.add_container('std::map< unsigned char, ns3::ComponentCarrier >', ('unsigned char', 'ns3::ComponentCarrier'), container_type='map')
     module.add_container('std::list< ns3::GtpcModifyBearerRequestMessage::BearerContextToBeModified >', 'ns3::GtpcModifyBearerRequestMessage::BearerContextToBeModified', container_type='list')
     module.add_container('std::map< unsigned int, unsigned int >', ('unsigned int', 'unsigned int'), container_type='map')
@@ -5850,11 +5850,6 @@
                    'bool', 
                    [], 
                    is_const=True)
-    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsEqual(ns3::Ipv4Address const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv4Address const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsInitialized() const [member function]
     cls.add_method('IsInitialized', 
                    'bool', 
@@ -5952,6 +5947,11 @@
     cls.add_constructor([param('ns3::Ipv4Address', 'local'), param('ns3::Ipv4Mask', 'mask')])
     ## ipv4-interface-address.h (module 'internet'): ns3::Ipv4InterfaceAddress::Ipv4InterfaceAddress(ns3::Ipv4InterfaceAddress const & o) [constructor]
     cls.add_constructor([param('ns3::Ipv4InterfaceAddress const &', 'o')])
+    ## ipv4-interface-address.h (module 'internet'): ns3::Ipv4Address ns3::Ipv4InterfaceAddress::GetAddress() const [member function]
+    cls.add_method('GetAddress', 
+                   'ns3::Ipv4Address', 
+                   [], 
+                   is_const=True)
     ## ipv4-interface-address.h (module 'internet'): ns3::Ipv4Address ns3::Ipv4InterfaceAddress::GetBroadcast() const [member function]
     cls.add_method('GetBroadcast', 
                    'ns3::Ipv4Address', 
@@ -5972,11 +5972,20 @@
                    'ns3::Ipv4InterfaceAddress::InterfaceAddressScope_e', 
                    [], 
                    is_const=True)
+    ## ipv4-interface-address.h (module 'internet'): bool ns3::Ipv4InterfaceAddress::IsInSameSubnet(ns3::Ipv4Address const b) const [member function]
+    cls.add_method('IsInSameSubnet', 
+                   'bool', 
+                   [param('ns3::Ipv4Address const', 'b')], 
+                   is_const=True)
     ## ipv4-interface-address.h (module 'internet'): bool ns3::Ipv4InterfaceAddress::IsSecondary() const [member function]
     cls.add_method('IsSecondary', 
                    'bool', 
                    [], 
                    is_const=True)
+    ## ipv4-interface-address.h (module 'internet'): void ns3::Ipv4InterfaceAddress::SetAddress(ns3::Ipv4Address address) [member function]
+    cls.add_method('SetAddress', 
+                   'void', 
+                   [param('ns3::Ipv4Address', 'address')])
     ## ipv4-interface-address.h (module 'internet'): void ns3::Ipv4InterfaceAddress::SetBroadcast(ns3::Ipv4Address broadcast) [member function]
     cls.add_method('SetBroadcast', 
                    'void', 
@@ -6097,11 +6106,6 @@
                    'ns3::Ipv4Mask', 
                    [], 
                    is_static=True)
-    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsEqual(ns3::Ipv4Mask other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv4Mask', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsMatch(ns3::Ipv4Address a, ns3::Ipv4Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
@@ -6218,11 +6222,6 @@
                    'bool', 
                    [], 
                    is_const=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsEqual(ns3::Ipv6Address const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv6Address const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsInitialized() const [member function]
     cls.add_method('IsInitialized', 
                    'bool', 
@@ -6603,11 +6602,6 @@
                    'ns3::Ipv6Prefix', 
                    [], 
                    is_static=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsEqual(ns3::Ipv6Prefix const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv6Prefix const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsMatch(ns3::Ipv6Address a, ns3::Ipv6Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
@@ -11070,6 +11064,11 @@
                    'double', 
                    [], 
                    is_const=True)
+    ## vector.h (module 'core'): double ns3::Vector2D::GetLengthSquared() const [member function]
+    cls.add_method('GetLengthSquared', 
+                   'double', 
+                   [], 
+                   is_const=True)
     ## vector.h (module 'core'): ns3::Vector2D::x [variable]
     cls.add_instance_attribute('x', 'double', is_const=False)
     ## vector.h (module 'core'): ns3::Vector2D::y [variable]
@@ -11097,6 +11096,11 @@
                    'double', 
                    [], 
                    is_const=True)
+    ## vector.h (module 'core'): double ns3::Vector3D::GetLengthSquared() const [member function]
+    cls.add_method('GetLengthSquared', 
+                   'double', 
+                   [], 
+                   is_const=True)
     ## vector.h (module 'core'): ns3::Vector3D::x [variable]
     cls.add_instance_attribute('x', 'double', is_const=False)
     ## vector.h (module 'core'): ns3::Vector3D::y [variable]
@@ -13606,10 +13610,10 @@
     cls.add_binary_comparison_operator('==')
     ## spectrum-model.h (module 'spectrum'): ns3::SpectrumModel::SpectrumModel(ns3::SpectrumModel const & arg0) [constructor]
     cls.add_constructor([param('ns3::SpectrumModel const &', 'arg0')])
-    ## spectrum-model.h (module 'spectrum'): ns3::SpectrumModel::SpectrumModel(std::vector<double, std::allocator<double> > centerFreqs) [constructor]
-    cls.add_constructor([param('std::vector< double >', 'centerFreqs')])
-    ## spectrum-model.h (module 'spectrum'): ns3::SpectrumModel::SpectrumModel(ns3::Bands bands) [constructor]
-    cls.add_constructor([param('ns3::Bands', 'bands')])
+    ## spectrum-model.h (module 'spectrum'): ns3::SpectrumModel::SpectrumModel(std::vector<double, std::allocator<double> > const & centerFreqs) [constructor]
+    cls.add_constructor([param('std::vector< double > const &', 'centerFreqs')])
+    ## spectrum-model.h (module 'spectrum'): ns3::SpectrumModel::SpectrumModel(ns3::Bands const & bands) [constructor]
+    cls.add_constructor([param('ns3::Bands const &', 'bands')])
     ## spectrum-model.h (module 'spectrum'): std::vector<ns3::BandInfo, std::allocator<ns3::BandInfo> >::const_iterator ns3::SpectrumModel::Begin() const [member function]
     cls.add_method('Begin', 
                    'std::vector< ns3::BandInfo > const_iterator', 
@@ -21829,6 +21833,11 @@
                    'ns3::Vector', 
                    [], 
                    is_const=True)
+    ## mobility-model.h (module 'mobility'): ns3::Vector ns3::MobilityModel::GetPositionWithReference(ns3::Vector const & referencePosition) const [member function]
+    cls.add_method('GetPositionWithReference', 
+                   'ns3::Vector', 
+                   [param('ns3::Vector const &', 'referencePosition')], 
+                   is_const=True)
     ## mobility-model.h (module 'mobility'): double ns3::MobilityModel::GetRelativeSpeed(ns3::Ptr<const ns3::MobilityModel> other) const [member function]
     cls.add_method('GetRelativeSpeed', 
                    'double', 
@@ -21863,6 +21872,11 @@
                    'ns3::Vector', 
                    [], 
                    is_const=True, is_pure_virtual=True, is_virtual=True, visibility='private')
+    ## mobility-model.h (module 'mobility'): ns3::Vector ns3::MobilityModel::DoGetPositionWithReference(ns3::Vector const & referencePosition) const [member function]
+    cls.add_method('DoGetPositionWithReference', 
+                   'ns3::Vector', 
+                   [param('ns3::Vector const &', 'referencePosition')], 
+                   is_const=True, is_virtual=True, visibility='private')
     ## mobility-model.h (module 'mobility'): ns3::Vector ns3::MobilityModel::DoGetVelocity() const [member function]
     cls.add_method('DoGetVelocity', 
                    'ns3::Vector', 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/lte/model/epc-pgw-application.cc ns-3.35/src/lte/model/epc-pgw-application.cc
--- ns-3.34/src/lte/model/epc-pgw-application.cc	2021-07-14 10:31:06.000000000 -0700
+++ ns-3.35/src/lte/model/epc-pgw-application.cc	2021-10-01 13:26:47.000000000 -0700
@@ -197,7 +197,7 @@
     {
       Ipv6Header ipv6Header;
       packet->PeekHeader (ipv6Header);
-      Ipv6Address ueAddr =  ipv6Header.GetDestinationAddress ();
+      Ipv6Address ueAddr =  ipv6Header.GetDestination ();
       NS_LOG_LOGIC ("packet addressed to UE " << ueAddr);
 
       // find corresponding UeInfo address
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/lte/model/epc-tft-classifier.cc ns-3.35/src/lte/model/epc-tft-classifier.cc
--- ns-3.34/src/lte/model/epc-tft-classifier.cc	2021-07-14 10:31:06.000000000 -0700
+++ ns-3.35/src/lte/model/epc-tft-classifier.cc	2021-10-01 13:26:47.000000000 -0700
@@ -206,14 +206,14 @@
 
       if (direction ==  EpcTft::UPLINK)
         {
-          localAddressIpv6 = ipv6Header.GetSourceAddress ();
-          remoteAddressIpv6 = ipv6Header.GetDestinationAddress ();
+          localAddressIpv6 = ipv6Header.GetSource ();
+          remoteAddressIpv6 = ipv6Header.GetDestination ();
         }
       else
         {
           NS_ASSERT (direction ==  EpcTft::DOWNLINK);
-          remoteAddressIpv6 = ipv6Header.GetSourceAddress ();
-          localAddressIpv6 = ipv6Header.GetDestinationAddress ();
+          remoteAddressIpv6 = ipv6Header.GetSource ();
+          localAddressIpv6 = ipv6Header.GetDestination ();
         }
       NS_LOG_INFO ("local address: " << localAddressIpv6 << " remote address: " << remoteAddressIpv6);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/lte/model/lte-amc.cc ns-3.35/src/lte/model/lte-amc.cc
--- ns-3.34/src/lte/model/lte-amc.cc	2021-07-14 10:31:07.000000000 -0700
+++ ns-3.35/src/lte/model/lte-amc.cc	2021-10-01 13:26:47.000000000 -0700
@@ -297,7 +297,7 @@
   NS_LOG_FUNCTION (mcs);
 
   NS_ASSERT_MSG (mcs < 29, "MCS=" << mcs);
-  NS_ASSERT_MSG (nprb < 111, "NPRB=" << nprb);
+  NS_ASSERT_MSG (nprb > 0 && nprb < 111, "NPRB=" << nprb);
 
   int itbs = McsToItbsDl[mcs];
   return (TransportBlockSizeTable[nprb - 1][itbs]);
@@ -309,7 +309,7 @@
   NS_LOG_FUNCTION (mcs);
 
   NS_ASSERT_MSG (mcs < 29, "MCS=" << mcs);
-  NS_ASSERT_MSG (nprb < 111, "NPRB=" << nprb);
+  NS_ASSERT_MSG (nprb > 0 && nprb < 111, "NPRB=" << nprb);
 
   int itbs = McsToItbsUl[mcs];
   return (TransportBlockSizeTable[nprb - 1][itbs]);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/lte/model/tdmt-ff-mac-scheduler.cc ns-3.35/src/lte/model/tdmt-ff-mac-scheduler.cc
--- ns-3.34/src/lte/model/tdmt-ff-mac-scheduler.cc	2021-07-14 10:31:07.000000000 -0700
+++ ns-3.35/src/lte/model/tdmt-ff-mac-scheduler.cc	2021-10-01 13:26:47.000000000 -0700
@@ -942,8 +942,10 @@
             } // end for RBG free
 
         } // end for RBGs
-
-      allocationMap.insert (std::pair <uint16_t, std::vector <uint16_t> > ((*itMax), tempMap));
+      if (tempMap.size() > 0)
+        {
+          allocationMap.insert (std::pair <uint16_t, std::vector <uint16_t> > ((*itMax), tempMap));
+        }
     }
 
   // generate the transmission opportunities by grouping the RBGs of the same RNTI and
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/lte/model/tdtbfq-ff-mac-scheduler.cc ns-3.35/src/lte/model/tdtbfq-ff-mac-scheduler.cc
--- ns-3.34/src/lte/model/tdtbfq-ff-mac-scheduler.cc	2021-07-14 10:31:07.000000000 -0700
+++ ns-3.35/src/lte/model/tdtbfq-ff-mac-scheduler.cc	2021-10-01 13:26:47.000000000 -0700
@@ -1079,7 +1079,10 @@
           tempMap.push_back (i);
           rbgMap.at (i) = true;
         }
-      allocationMap.insert (std::pair <uint16_t, std::vector <uint16_t> > ((*itMax).first, tempMap));
+      if (tempMap.size() > 0)
+        {
+          allocationMap.insert (std::pair <uint16_t, std::vector <uint16_t> > ((*itMax).first, tempMap));
+        }
     }
 
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/lte/test/lte-test-ipv6-routing.cc ns-3.35/src/lte/test/lte-test-ipv6-routing.cc
--- ns-3.34/src/lte/test/lte-test-ipv6-routing.cc	2021-07-14 10:31:07.000000000 -0700
+++ ns-3.35/src/lte/test/lte-test-ipv6-routing.cc	2021-10-01 13:26:47.000000000 -0700
@@ -176,8 +176,8 @@
           Ptr<Packet> p2 = (*it2)->Copy ();
           Ipv6Header ipv6header2;
           p2->RemoveHeader (ipv6header2);
-          Ipv6Address sorceAddress = ipv6header2.GetSourceAddress ();
-          Ipv6Address destinationAddress = ipv6header2.GetDestinationAddress ();
+          Ipv6Address sorceAddress = ipv6header2.GetSource ();
+          Ipv6Address destinationAddress = ipv6header2.GetDestination ();
           UdpHeader udpHeader2;
           p2->RemoveHeader (udpHeader2);
           uint16_t sourcePort;
@@ -186,8 +186,8 @@
           destinationPort = udpHeader2.GetDestinationPort ();
           //Check whether the uids, addresses and ports match
           if ((p2->GetUid () == p1->GetUid ())
-              && sorceAddress == ipv6header1.GetDestinationAddress ()
-              && destinationAddress == ipv6header1.GetSourceAddress ()
+              && sorceAddress == ipv6header1.GetDestination ()
+              && destinationAddress == ipv6header1.GetSource ()
               && sourcePort == udpHeader1.GetDestinationPort ()
               && destinationPort == udpHeader1.GetSourcePort ())
             {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/lte/test/test-epc-tft-classifier.cc ns-3.35/src/lte/test/test-epc-tft-classifier.cc
--- ns-3.34/src/lte/test/test-epc-tft-classifier.cc	2021-07-14 10:31:07.000000000 -0700
+++ ns-3.35/src/lte/test/test-epc-tft-classifier.cc	2021-10-01 13:26:47.000000000 -0700
@@ -133,8 +133,8 @@
 
   if (m_useIpv6)
     {
-      m_ipv6Header.SetSourceAddress (Ipv6Address::MakeIpv4MappedAddress (Ipv4Address (sa.c_str ())));
-      m_ipv6Header.SetDestinationAddress (Ipv6Address::MakeIpv4MappedAddress (Ipv4Address (da.c_str ())));
+      m_ipv6Header.SetSource (Ipv6Address::MakeIpv4MappedAddress (Ipv4Address (sa.c_str ())));
+      m_ipv6Header.SetDestination (Ipv6Address::MakeIpv4MappedAddress (Ipv4Address (da.c_str ())));
       m_ipv6Header.SetTrafficClass (tos);
       m_ipv6Header.SetPayloadLength (8); // Full UDP header
       m_ipv6Header.SetNextHeader (UdpL4Protocol::PROT_NUMBER);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/mesh/model/mesh-wifi-interface-mac.cc ns-3.35/src/mesh/model/mesh-wifi-interface-mac.cc
--- ns-3.34/src/mesh/model/mesh-wifi-interface-mac.cc	2021-07-14 10:31:07.000000000 -0700
+++ ns-3.35/src/mesh/model/mesh-wifi-interface-mac.cc	2021-10-01 13:26:47.000000000 -0700
@@ -540,6 +540,7 @@
 void
 MeshWifiInterfaceMac::ConfigureStandard (enum WifiStandard standard)
 {
+  SetQosSupported (true);  // a mesh station is a QoS station
   RegularWifiMac::ConfigureStandard (standard);
   m_standard = standard;
 
